curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/rfis/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"account_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
"rfi_id": "ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9",
"rfi_type": "onboarding",
"ref_reference_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
"status": "APPROVED",
"request": [
{
"question": {
"key": "sandbox_regression_note",
"comment": "Sandbox regression note",
"type": "TEXT"
},
"answer": {
"key": "sandbox_regression_note",
"text": "Sandbox contract test response",
"type": "TEXT"
}
}
],
"create_time": "2026-09-11T11:39:55.694+08:00",
"update_time": "2026-09-11T13:58:31.749+08:00"
}Retrieve RFI
Retrieve the details of a single RFI, including the questions raised and the documents required to answer it.
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/rfis/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/rfis/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"account_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
"rfi_id": "ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9",
"rfi_type": "onboarding",
"ref_reference_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
"status": "APPROVED",
"request": [
{
"question": {
"key": "sandbox_regression_note",
"comment": "Sandbox regression note",
"type": "TEXT"
},
"answer": {
"key": "sandbox_regression_note",
"text": "Sandbox contract test response",
"type": "TEXT"
}
}
],
"create_time": "2026-09-11T11:39:55.694+08:00",
"update_time": "2026-09-11T13:58:31.749+08:00"
}Authorizations
The API token for login provided by UQPAY.
Headers
The value set to the connected account's ID. More information at List Connected Accounts
Path Parameters
The complete RFI identifier returned by the RFI list or webhook. Use it unchanged, including any prefix.
"ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9"
Response
OK - Successfully retrieved an RFI.
A unique identifier of the account.
"f5bb6498-552e-40a5-b14b-616aa04ac1c1"
The complete RFI identifier returned by the RFI list or webhook. Use it unchanged, including any prefix.
"ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9"
The current status of the RFI.
ACTION_REQUIRED: An answer is required from you.SUBMITTED_PENDING: An answer has been submitted and is under review.APPROVED: The submitted answer has been approved.REJECTED: The submitted answer has been rejected; further action may be required.
SUBMITTED_PENDING, REJECTED, APPROVED, ACTION_REQUIRED "SUBMITTED_PENDING"
Creation time of the RFI.
"2024-11-08T17:17:32+08:00"
Last updated time of the RFI.
"2024-11-09T17:17:32+08:00"
The list of questions raised in this RFI and any answers already submitted.
Show child attributes
Show child attributes

